Subject: bug#6391: 23.2; Wrong face with here-docs in sh-mode

From: Glenn Morris <[email-masked]>
Date: Thu, 10 Jun 2010 23:34:38 -0400

Ralf Doering wrote:

> still displayed with sh-heredoc face. This seems to be caused by '-'
> used in the here-doc marker, as changing "<<-+++" to "<<+++" displays
> the right face after the here doc. However, '<<-' is valid and needed in my
> case.

It works fine with a more traditional delimiter such as "EOF".
I'd guess there is a regexp-quote issue, or perhaps a character syntax
issue, with your chosen "+++".